const base = "/api/v1/feature";

export interface FeatureListParams {
  name?: string;
  status?: string;
  page: number;
  size: number;
}

export interface FeatureCreateParams {}

export interface FeatureUpdateParams {}

export const list = <T>(params: FeatureListParams) => {
  return useHttp<T>(base + "s", { method: "GET", params });
};

// export const detail = async (id: string) => {
//   return useHttp.get(base + "/" + id);
// };

// export const create = async (params: FeatureCreateParams) => {
//   return useHttp.post(base, params);
// };

// export const update = async (params: FeatureUpdateParams) => {
//   return useHttp.put(base, params);
// };

// export const remove = async (id: string) => {
//   return useHttp.delete(base + "/" + id);
// };
